Bug 464786 - pyjigdo Template data does not match defined checksum (Fedora 10 beta)
pyjigdo Template data does not match defined checksum (Fedora 10 beta)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 10:19 EDT by John Reiser
Modified: 2013-01-09 23:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-09-30 10:19:38 EDT
Description of problem: pyjigdo downloading fails on Fedora 10 beta for i386.


Version-Release number of selected component (if applicable):
pyjigdo-0.3.0-1.fc10.noarch
Fedora 10 beta release

How reproducible: always


Steps to Reproduce:
1. pyjigdo --jigdo Fedora-10-Beta-i386-DVD.jigdo
2.
3.
  
Actual results:
Template data for Fedora-10-Beta-i386-DVD.iso does not match defined checksum. Disabling image.
Do you want to continue? [Y/n] 
Traceback (most recent call last):
  File "/usr/bin/pyjigdo", line 343, in <module>
    pyjigdo = PyJigdo()
  File "/usr/bin/pyjigdo", line 43, in __init__
    self.run()
  File "/usr/bin/pyjigdo", line 339, in run
    self.base.run()
  File "/usr/lib/python2.5/site-packages/pyjigdo/base.py", line 81, in run
    self.cli.run()
  File "/usr/lib/python2.5/site-packages/pyjigdo/cli.py", line 47, in run
    self.build_jobs()
  File "/usr/lib/python2.5/site-packages/pyjigdo/cli.py", line 118, in build_jobs
    self.base.add_recompose(image)
  File "/usr/lib/python2.5/site-packages/pyjigdo/base.py", line 237, in add_recompose
    image.collect_slices(self.jigdo_definition, self.cfg.working_directory)
  File "/usr/lib/python2.5/site-packages/pyjigdo/jigdo.py", line 359, in collect_slices
    template_data = pyjigdo.misc.run_command(["jigdo-file", "ls", "--template", template_target], inshell=True)
  File "/usr/lib/python2.5/site-packages/pyjigdo/misc.py", line 286, in run_command
    p = subprocess.Popen(command, cwd=rundir, stdout=stdout, stderr=subprocess.STDOUT, shell=False, env=env)
  File "/usr/lib/python2.5/subprocess.py", line 593, in __init__
    errread, errwrite)
  File "/usr/lib/python2.5/subprocess.py", line 1079, in _execute_child
    raise child_exception
TypeError: coercing to Unicode: need string or buffer, NoneType found


Expected results:
Successfule jigdo compose

Additional info:
Comment 1 Jesse Keating 2008-09-30 10:39:27 EDT
What happens if you use jigdo-lite instead?  Lots of mirrors aren't open yet, so I'm getting a lot of 403s, but at least it uses the template.
Comment 2 John Reiser 2008-09-30 11:02:56 EDT
Yes, "jigdo-lite Fedora-10-Beta-i386-DVD.jigdo" tries to download the .template, but gets "HTTP 403 Forbidden" from the first 5 mirrors that I tried.  I'll try again in an hour or so.
Comment 3 Johan Kok 2008-10-24 10:20:06 EDT
Ping :)

Could you report back whether this problem still exists? Thanks.
Comment 4 John Reiser 2008-10-24 11:39:16 EDT
Today both of these work for me.  (They get far into processing, including success at downloading some packages.  I did not wait for either to finish.)
   pyjigdo --jigdo Fedora-10-Beta-i386-DVD.jigdo
   jigdo-lite      Fedora-10-Beta-i386-DVD.jigdo

The originally-reported problems are attributed to inconsistencies with the Fedora mirror system.  It would be nice if pyjigdo could add some such suggestion to its message.

Note You need to log in before you can comment on or make changes to this bug.